Package org.stianloader.micromixin.backports

## Class CanonicalOverwriteInjector

- java.lang.Object
- - org.spongepowered.asm.mixin.injection.code.Injector
  - - org.stianloader.micromixin.backports.CanonicalOverwriteInjector

    public class CanonicalOverwriteInjector
    extends org.spongepowered.asm.mixin.injection.code.Injector

### Nested Class Summary

### Nested classes/interfaces inherited from class org.spongepowered.asm.mixin.injection.code.Injector

`org.spongepowered.asm.mixin.injection.code.Injector.InjectorData, org.spongepowered.asm.mixin.injection.code.Injector.TargetNode`

### Field Summary

### Fields inherited from class org.spongepowered.asm.mixin.injection.code.Injector

`annotationType, classNode, info, isInterface, isStatic, logger, methodArgs, methodNode, returnType`

### Constructor Summary

Constructors
`CanonicalOverwriteInjector​(CanonicalOverwriteInjectionInfo info)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `inject​(org.spongepowered.asm.mixin.injection.struct.Target target, org.spongepowered.asm.mixin.injection.struct.InjectionNodes.InjectionNode node)`

### Methods inherited from class org.spongepowered.asm.mixin.injection.code.Injector

`addTargetNode, addTargetNode, canCoerce, canCoerce, canCoerce, checkCoerce, checkTargetForNode, checkTargetModifiers, find, findTargetNodes, inject, invokeHandler, invokeHandler, invokeHandlerWithArgs, invokeHandlerWithArgs, postInject, preInject, preInject, pushArgs, pushArgs, sanityCheck, storeArgs, storeArgs, storeArgs, storeArgs, throwException, toString, validateParams`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CanonicalOverwriteInjector

    public CanonicalOverwriteInjector​(CanonicalOverwriteInjectionInfo info)

### Method Detail

#### inject

    protected void inject​(org.spongepowered.asm.mixin.injection.struct.Target target,
                          org.spongepowered.asm.mixin.injection.struct.InjectionNodes.InjectionNode node)

Specified by:
  `inject` in class `org.spongepowered.asm.mixin.injection.code.Injector`